POST Agents/Marketing/SetAllFormFieldRestrictions
Some tooltip text!
• 1 minute to read
• 1 minute to read
POST /api/v1/Agents/Marketing/SetAllFormFieldRestrictions
Sets the list of form field restrictions.
Note: This list is the conclusion of what should exist in the table. Restrictions that already exists in the table are edited, new ones are added, and if they are not in this list, they will be deleted NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Marketing/SetAllFormFieldRestrictions?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
FormFieldRestrictions
| Property Name | Type | Description |
|---|---|---|
| FormFieldRestrictions | Array |
Response:
No Content
| Response | Description |
|---|---|
| 204 | No Content |